package com.gxlu.ps.netcruise.md.util;

import com.gxlu.ps.netcruise.md.GlobalInstance;
import java.io.FileInputStream;
import java.io.IOException;
import java.util.Properties;
import org.apache.log4j.Logger;

/* loaded from: com_gxlu_ps_netcruise_md_util.jar:com/gxlu/ps/netcruise/md/util/ErrParser.class */
public class ErrParser {
    private static ErrParser instance = null;
    private Logger logger = null;
    private Properties errList = new Properties();
    private String fn = null;
    private String fileName;

    private ErrParser(String fileName) throws IOException {
        this.fileName = null;
        FileInputStream fin = new FileInputStream(fileName);
        this.errList.load(fin);
        this.fileName = fileName;
        fin.close();
    }

    public static synchronized ErrParser getInstance() {
        if (instance == null) {
            try {
                instance = new ErrParser(GlobalInstance.getInstance().getConfiger().getErrFilePath());
            } catch (IOException e) {
                return (ErrParser) null;
            }
        }
        return instance;
    }

    public String getErrDescription(int code) {
        return this.errList.getProperty(Integer.toString(code));
    }
}
